<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+

+------------------------------------------------------------------------+
| Premodded ConPresso file for mod_imagesize by www.conpresso4.de        |
+------------------------------------------------------------------------+

  $Id$ */

if (!defined('CPO')) exit;

if (empty($_REQUEST['action'])) $_REQUEST['action'] = '';

switch($_REQUEST['action']) {
case 'del':
    $db = new DB;
    $db->query("SELECT datei, format FROM ".CPO_DATA." "
              ."WHERE id='".$_GET['id']."'");
    while ($db->next_record()) {
        $datei = $db->v('datei');
        $format = $db->v('format');
    }

    $query_del = "DELETE FROM ".CPO_DATA." "
                ."WHERE id='".$_GET['id']."'";
    DEBUG(1, $query_del, __FILE__, __LINE__);
    $db->query($query_del); 

    @unlink (CPO_BASEDIR.'_data/'.$_GET['file']);
    // Imagetool-Mod 
    if (array_key_exists('Imagetool', $activeModules)) 
    { 
      include(CPO_BASEDIR . $activeModules['Imagetool']['directory'] . '/includes/inc_del.php'); 
    } 
    // Imagetool-Mod 

    switch ($format) {
    case 1:
        $message[] = sprintf(___('The file %s was successfully deleted.'), '<em>'.htmlspecialchars($datei, ENT_COMPAT, 'ISO-8859-15').'</em>');
        break;
    case 2:
        $message[] = sprintf(___('The image %s was successfully deleted.'), '<em>'.htmlspecialchars($datei, ENT_COMPAT, 'ISO-8859-15').'</em>');
        break;
    }
    
    logaction('delete file', $_GET['file']);
    $_GET['id'] = '';

    break;
case 'update': 
    if (!$antiCSRF->checkToken()) {
        $message[] = ___('Security check failed. Please try again.');
        switch ($_POST['format']) {
        case 1:
            $show_only_images = false;
            $message[] = sprintf(___('The file %s was successfully updated.'), '<em>'.htmlspecialchars($datei, ENT_COMPAT, 'ISO-8859-15').'</em>');
            logaction('edit file', 'CSRF check failed.');
            // FIXME jumps back to list, so user has to edit the changes again
            break;
        case 2:
            logaction('edit image', 'CSRF check failed.');
            // FIXME jumps back to list, so user has to edit the changes again
            break;
        }
        break;
    }

   $query = "UPDATE ".CPO_DATA." SET "
        ."alttext='".addslashes($_POST['alttext'])."', "
        ."beschreibung='".addslashes($_POST['description'])."', "
        ."rubric_id='".addslashes($_POST['rubric_id'])."', "
        ."changer='".addslashes($_SESSION['SID_login'])."' "
        ."WHERE id='".addslashes($_POST['id'])."'";
    DEBUG(1, $query, __FILE__, __LINE__);
    $db->query($query);

    switch ($_POST['format']) {
    case 1:
        $show_only_images = false;
        $message[] = sprintf(___('The file %s was successfully updated.'), '<em>'.htmlspecialchars($datei, ENT_COMPAT, 'ISO-8859-15').'</em>');
        logaction('edit file', $_POST['file']);
        break;
    case 2:
        $show_only_images = true;
        $message[] = sprintf(___('The image %s was successfully updated.'), '<em>'.htmlspecialchars($datei, ENT_COMPAT, 'ISO-8859-15').'</em>');
        logaction('edit image', $_POST['file']);
        break;
    }

    break;
}

include(CPO_BASEDIR.'_include/message.php');
require(CPO_BASEDIR.'_include/tab_files.php');